## com.arsdigita.cms.docmgr.ui.authoring
Class DocLinkPropertyForm

    java.lang.Object
      com.arsdigita.bebop.Completable
          com.arsdigita.bebop.SimpleComponent
              com.arsdigita.bebop.FormSection
                  com.arsdigita.cms.ui.authoring.BasicItemForm
                      com.arsdigita.cms.ui.authoring.BasicPageForm
                          com.arsdigita.cms.docmgr.ui.authoring.DocLinkPropertyForm

All Implemented Interfaces:
  Cloneable, com.arsdigita.bebop.Component, com.arsdigita.bebop.Container, EventListener, com.arsdigita.bebop.event.FormInitListener, com.arsdigita.bebop.event.FormProcessListener, com.arsdigita.bebop.event.FormValidationListener, com.arsdigita.util.Lockable

public class DocLinkPropertyForm
extends com.arsdigita.cms.ui.authoring.BasicPageForm
implements com.arsdigita.bebop.event.FormProcessListener, com.arsdigita.bebop.event.FormValidationListener, com.arsdigita.bebop.event.FormInitListener

Form to edit the basic properties of an document. This form can be extended to create forms for Document subclasses.

Field Summary
`static String` `DESCRIPTION`
`static String` `EXTERNAL_URL`
`static String` `TARGET_DOC_ID`

Fields inherited from class com.arsdigita.cms.ui.authoring.BasicPageForm
`LAUNCH_DATE`

Fields inherited from class com.arsdigita.cms.ui.authoring.BasicItemForm
`LANGUAGE, NAME, TITLE`

Fields inherited from class com.arsdigita.bebop.FormSection
`m_formModel, m_panel, versionId`

Fields inherited from class com.arsdigita.bebop.SimpleComponent
`m_attr`

Fields inherited from interface com.arsdigita.bebop.event.FormProcessListener
`versionId`

Fields inherited from interface com.arsdigita.bebop.event.FormValidationListener
`versionId`

Fields inherited from interface com.arsdigita.bebop.event.FormInitListener
`versionId`

Fields inherited from interface com.arsdigita.bebop.Component
`BEBOP_XML_NS, CLASS, ID, ON_CLICK, STYLE`

Constructor Summary
`DocLinkPropertyForm(com.arsdigita.cms.ItemSelectionModel itemModel)` Creates a new form to edit the Document object specified by the item selection model passed in.

Method Summary
`protected void` `addWidgets()` Adds widgets to the form.
`void` `init(com.arsdigita.bebop.event.FormSectionEvent fse)` Form initialisation hook.
`void` `process(com.arsdigita.bebop.event.FormSectionEvent fse)` Form processing hook.
`void` `validate(com.arsdigita.bebop.event.FormSectionEvent fse)` Form validation hook.

Methods inherited from class com.arsdigita.cms.ui.authoring.BasicPageForm
`createContentPage, initBasicWidgets, processBasicWidgets`

Methods inherited from class com.arsdigita.cms.ui.authoring.BasicItemForm
`add, add, addSaveCancelSection, generateXML, getAllVersionIDs, getItemSelectionModel, getSaveCancelSection, validateNameUniqueness, validateNameUniquenessWithinCategory`

Methods inherited from class com.arsdigita.bebop.FormSection

`addCancelListener, addInitListener, addProcessListener, addSubmissionListener, addValidationListener, children, contains, createInitListener, createProcessListener, createSubmissionListener, createValidationListener, fireCancel, fireInit, fireProcess, fireSubmitted, fireValidate, forwardInit, forwardProcess, forwardSubmission, forwardValidation, get, getModel, getPanel, indexOf, isEmpty, lock, process, register, removeCancelListener, removeInitListener, removeProcessListener, removeSubmissionListener, removeValidationListener, respond, size`

Methods inherited from class com.arsdigita.bebop.SimpleComponent
`clone, exportAttributes, getAttribute, getClassAttr, getIdAttr, getKey, getMetaDataAttribute, getStyleAttr, hasAttributes, isLocked, isVisible, register, setAttribute, setClassAttr, setIdAttr, setKey, setMetaDataAttribute, setStyleAttr, setVisible`

Methods inherited from class com.arsdigita.bebop.Completable
`addCompletionListener, fireCompletionEvent`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.arsdigita.bebop.Component
`getClassAttr, getIdAttr, getKey, getStyleAttr, isVisible, register, setClassAttr, setIdAttr, setKey, setStyleAttr, setVisible`

Methods inherited from interface com.arsdigita.util.Lockable
`isLocked`

Field Detail

### TARGET_DOC_ID

    public static final String TARGET_DOC_ID

See Also:
  Constant Field Values

### EXTERNAL_URL

    public static final String EXTERNAL_URL

See Also:
  Constant Field Values

### DESCRIPTION

    public static final String DESCRIPTION

See Also:
  Constant Field Values

Constructor Detail

### DocLinkPropertyForm

    public DocLinkPropertyForm(com.arsdigita.cms.ItemSelectionModel itemModel)

  Creates a new form to edit the Document object specified by the item selection model passed in.

Parameters:
  `itemModel` - The ItemSelectionModel to use to obtain the Document to work on

Method Detail

### addWidgets

    protected void addWidgets()

  Adds widgets to the form.

### init

    public void init(com.arsdigita.bebop.event.FormSectionEvent fse)

  Form initialisation hook. Fills widgets with data.

  Specified by:
    `init` in interface `com.arsdigita.bebop.event.FormInitListener`

### validate

    public void validate(com.arsdigita.bebop.event.FormSectionEvent fse)
                  throws com.arsdigita.bebop.FormProcessException

  Form validation hook. Validate data.

  Specified by:
    `validate` in interface `com.arsdigita.bebop.event.FormValidationListener`
  Throws:
    `com.arsdigita.bebop.FormProcessException`

### process

    public void process(com.arsdigita.bebop.event.FormSectionEvent fse)
                 throws com.arsdigita.bebop.FormProcessException

  Form processing hook. Saves Event object.

  Specified by:
    `process` in interface `com.arsdigita.bebop.event.FormProcessListener`
  Throws:
    `com.arsdigita.bebop.FormProcessException`

Copyright (c) 2006 Red Hat, Inc. Corporation. All Rights Reserved. Generated at June 1 2006:1113 UTC